### A free/open-source library for quantitative finance

Public Types | Public Member Functions
IntervalPrice Class Reference

interval price More...

`#include <ql/prices.hpp>`

List of all members.

## Public Types

enum | Type { Open, Close, High, Low }

## Public Member Functions

| IntervalPrice (Real open, Real close, Real high, Real low)
Inspectors
Real | open () const
Real | close () const
Real | high () const
Real | low () const
Real | value (IntervalPrice::Type) const
Modifiers
void | setValue (Real value, IntervalPrice::Type)
void | setValues (Real open, Real close, Real high, Real low)

## Static Public Member Functions

Helper functions
static TimeSeries< IntervalPrice > | makeSeries (const std::vector< Date > &d, const std::vector< Real > &open, const std::vector< Real > &close, const std::vector< Real > &high, const std::vector< Real > &low)
static std::vector< Real > | extractValues (const TimeSeries< IntervalPrice > &, IntervalPrice::Type)
static TimeSeries< Real > | extractComponent (const TimeSeries< IntervalPrice > &, enum IntervalPrice::Type)

## Detailed Description

interval price